<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.ExcelImportTemplateMapper">

        <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"  extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap"  type="com.storlead.system.pojo.entity.ExcelImportTemplateEntity">
        <id column="id" property="id" />
        <result column="template_nme" property="templateNme" />
        <result column="template_code" property="templateCode" />
        <result column="title_alert" property="titleAlert" />
        <result column="package_name" property="packageName" />
        <result column="class_name" property="className" />
        <result column="dict_code" property="dictCode" />
        <result column="title_row" property="titleRow" />
    </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, template_nme,package_name,dict_code,title_row,title_alert,class_name, template_code, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
